//	*******************************************************************************
//	Name	:	i_v_type.hxx
//			:	include	vector and typedef
//	Author	:	I. Nakagawa
//	Create	:	2014/02/12
//	Modify	:	2014/08/12	2017/08/28
//	Modify	:	2018/02/26	add double
//	Modify	:	2018/03/22	add vv_double
//	Modify	:	2019/09/25	add v_bool
//	*******************************************************************************

#pragma		once

#include	"i_vector.hxx"

typedef				std::vector<bool>		  v_bool ;
typedef		const	std::vector<bool>		c_v_bool ;

typedef				std::vector<char>		  v_char ;
typedef		const	std::vector<char>		c_v_char ;

typedef				std::vector<long>		  v_long ;
typedef		const	std::vector<long>		c_v_long ;

typedef				std::vector<double>		  v_double ;
typedef		const	std::vector<double>		c_v_double ;

typedef				std::vector<v_long>		  vv_long ;
typedef		const	std::vector<v_long>		c_vv_long ;

typedef				std::vector<v_double>	  vv_double ;
typedef		const	std::vector<v_double>	c_vv_double ;
