//	*******************************************************************************
//	Name	:	messbar.hxx
//			:	Message bar
//	Author	:	I. Nakagawa
//	Create	:	2014/12/24
//	Modify	:	2014/12/24
//	*******************************************************************************

#pragma		once

#if		defined		_WINDOWS
	#if	defined		_MFC_VER
		#include	"MessMFC.hxx"
	#else
		#error	You must include AfxWin.h before MessBar.hxx
	#endif
#elif	defined		_CONSOLE
		#include	"messcon.hxx"
#endif
#include			"messbase.hxx"

#if		defined					I_SUPPORT_MESSAGE_MFC
		#define	MessageBar		MessageMFC
#elif	defined					I_SUPPORT_MESSAGE_CON
		#define	MessageBar		MessageCon
#elif	defined					_INC_H_MESSAGE
		#define	MessageBar		Message
#else
		#define	MessageBar		MessageBase
#endif
