//	*******************************************************************************
//	Name	:	t_v_char.hxx
//			:	To vector<char>
//	Author	:	I. Nakagawa
//	Create	:	2016/04/22
//	*******************************************************************************

#pragma		once

#include	"i_vector.hxx"
#include	"tstring.hxx"
#include	"_s_func.hxx"
#include	"i_v_type.hxx"

////
//	*******************************************************************************
//	tstring	->	vectro<char>
//	Create	:	2014/02/12
//	Modify	:	2014/10/31	down lenB == 0
//	*******************************************************************************
inline	v_char	To_v_char	(const std::string& m_str)
{
	v_char	vchr ;
	size_t	lenB = m_str.length() ;
	vchr.resize(lenB) ;
	if (lenB > 0)	{
		::MemMove(&vchr[0],lenB,&m_str[0],lenB) ;
		}
	return	vchr ;
	}

inline	v_char	To_v_char	(const std::wstring& w_str)
{
	v_char	vchr ;
	size_t	lenW = w_str.length() ;
	size_t	lenB = lenW * sizeof(wchar_t) ;
	vchr.resize(lenB) ;
	::MemMove(&vchr[0],lenB,&w_str[0],lenB) ;
	return	vchr ;
	}

