//	*******************************************************************************
//	Name	:	log_msg.hxx
//			:	Log or Message Box
//	Author	:	I. Nakagawa
//	Create	:	2013/08/30
//	Modify	:	2014/12/22
//	*******************************************************************************

#pragma		once

#ifdef		_DEBUG
#include	<iostream>
#endif

#include	"i_define.hxx"
#include	"tstring.hxx"

//#include	"i_trace.hxx"
bool		i_Trace	(const tstring& tStr_) ;

////
//	*******************************************************************************
//	Log or Message Box
//	Create	:	2013/08/30
//	*******************************************************************************
inline	bool	Log_Message	(LPCTSTR msg)
{
	#ifdef	_DEBUG
		#ifdef	_MFC_VER
			afxDump		<< msg << _T("\r\n") ;
		#else
			std::terr	<< msg << std::endl ;
		#endif
	#endif
	::i_Trace(msg) ;
	return	true ;
	}

